The DR job list (backup and restore) with phase and progress
GET
/v1/console/dr/jobs
const url = 'https://example.com/v1/console/dr/jobs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/console/dr/jobs \ --header 'Authorization: Bearer <token>'Lists the in-memory DR jobs (backup and restore) with kind, status, phase and progress.
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
items
required
Array<object>
object
bundle_id
string
done_at
string format: date-time
error
string
id
required
string
kind
required
string
notes
string
phase
required
string
progress
required
integer
started_at
required
string format: date-time
status
required
string
Example
{ "items": [ { "kind": "backup" } ]}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}